std::sub_match::compare(3)

NAME
std::sub_match::compare - std::sub_match::compare

Synopsis
   int compare( const sub_match& m ) const; (1) (since C++11)
   int compare( const string_type& s ) const; (2) (since C++11)
   int compare( const value_type* c ) const; (3) (since C++11)
   1) Compares two sub_match directly by comparing their underlying character
   sequences. Equivalent to str().compare(m.str()).
   2) Compares a sub_match with a std::basic_string. Equivalent to str().compare(s).
   3) Compares a sub_match with a null-terminated sequence of the underlying character
   type pointed to by s. Equivalent to str().compare(c).
   This function is infrequently used directly by application code. Instead, one of the
   non-member comparison operators is used.

Parameters
   m - a reference to another sub_match
   s - a reference to a string to compare to
   c - a pointer to a null-terminated character sequence of the underlying value_type
       to compare to

Return value
   A value less than zero if this sub_match is less than the other character sequence,
   zero if the both underlying character sequences are equal, greater than zero if this
   sub_match is greater than the other character sequence.

Example
    This section is incomplete
    Reason: no example

See also
                        compares two strings
   compare (public member function of
                        std::basic_string<CharT,Traits,Allocator>)
   str converts to the underlying string type
   operator string_type (public member function)
   operator==
   operator!=
   operator<
   operator<=
   operator>
   operator>= compares a sub_match with another sub_match, a string, or a
   operator<=> character
   (removed in C++20) (function template)
   (removed in C++20)
   (removed in C++20)
   (removed in C++20)
   (removed in C++20)
   (C++20)